Last Comment Bug 756314 - Full email addresses entered in the CC list are ignored if the "Confirm Match" page is displayed
: Full email addresses entered in the CC list are ignored if the "Confirm Match...
Status: RESOLVED FIXED
: dataloss, regression
Product: Bugzilla
Classification: Server Software
Component: Creating/Changing Bugs (show other bugs)
: 4.0.6
: All All
: -- normal (vote)
: Bugzilla 4.0
Assigned To: Byron Jones ‹:glob› [PTO until 2017-01-09]
: default-qa
:
Mentors:
Depends on: 634243
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 16:53 PDT by Justin Dolske [:Dolske]
Modified: 2012-05-28 10:01 PDT (History)
1 user (show)
LpSolit: approval+
LpSolit: approval4.2+
LpSolit: blocking4.2.2+
LpSolit: approval4.0+
LpSolit: blocking4.0.7+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (711 bytes, patch)
2012-05-22 01:30 PDT, Byron Jones ‹:glob› [PTO until 2017-01-09]
LpSolit: review-
Details | Diff | Splinter Review
patch v2 (1.11 KB, patch)
2012-05-28 08:41 PDT, Byron Jones ‹:glob› [PTO until 2017-01-09]
LpSolit: review+
Details | Diff | Splinter Review

Description Justin Dolske [:Dolske] 2012-05-17 16:53:36 PDT
I just filed bug 756216. It didn't contain the CC list I initially specified.

The CC list I set while entering the bug was "kev@mozilla.com, benjamin@smedbergs.us, :rs, khuey@kylehuey.com, akeybl@mozilla.com, ".

Upon clicking Submit, bugzilla informed me that ":rs" was ambiguous, and let me select the right user from a <select>.

I was a bit surprised to find that it added _only_ the dis-ambiguated user (rob strong) to the CC list, and silently dropped the other users I specified. (The others entries in my list above were ok, I pasted it again without :rs and they were added in the additional submission.)
Comment 1 Frédéric Buclin 2012-05-17 16:57:38 PDT
I cannot reproduce upstream.
Comment 2 Byron Jones ‹:glob› [PTO until 2017-01-09] 2012-05-17 21:23:12 PDT
i can reproduce this on landfill (4.0, 4.2 and tip).
Comment 3 Frédéric Buclin 2012-05-18 02:56:46 PDT
So the problem happens with full email addresses entered in the CC list when another incomplete email address triggers the "Confirm Match" page. All incomplete email addresses are correctly listed, though, so this only affects full email addresses. Nobody reported this problem before probably because the auto-completion feature makes this less a problem.
Comment 4 Frédéric Buclin 2012-05-18 03:40:22 PDT
Bugzilla 3.6.9 is not affected, so we regressed this in 4.0. Considering this bug as dataloss, it's a blocker for 4.0.7.
Comment 5 Frédéric Buclin 2012-05-18 03:45:30 PDT
Regression due to bug 634243.
Comment 6 Byron Jones ‹:glob› [PTO until 2017-01-09] 2012-05-22 01:30:09 PDT
Created attachment 625925 [details] [diff] [review]
patch v1

as far as i can tell, the right thing to do here is to only exclude the hidden field if it's empty.
Comment 7 Frédéric Buclin 2012-05-26 02:59:11 PDT
Comment on attachment 625925 [details] [diff] [review]
patch v1

This change is in the right direction, but this is not enough. You also have to revert the first change from attachment 512478 [details] [diff] [review] else a partial login name which matches exactly one login name will be inserted twice, which triggers an error for single-select fields.

Steps to reproduce:

- Enter "LpSolit" (or any partial name which matches only one account) in the assignee field.
- Enter a login name which matches several accounts in the CC list.
- Click commit, and select one account for the CC list in the confirmation page.

=> you get an error that LpSolit@...,LpSolit@... doesn't exist.
Comment 8 Byron Jones ‹:glob› [PTO until 2017-01-09] 2012-05-28 08:41:10 PDT
Created attachment 627717 [details] [diff] [review]
patch v2

thanks for the clear steps to reproduce LpSolit!
this should address that issue.
Comment 9 Frédéric Buclin 2012-05-28 09:39:56 PDT
Comment on attachment 627717 [details] [diff] [review]
patch v2

r=LpSolit
Comment 10 Byron Jones ‹:glob› [PTO until 2017-01-09] 2012-05-28 10:01:12 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/4.0/
modified template/en/default/global/confirm-user-match.html.tmpl
Committed revision 7709.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/4.2/
modified template/en/default/global/confirm-user-match.html.tmpl
Committed revision 8090.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/trunk/
modified template/en/default/global/confirm-user-match.html.tmpl
Committed revision 8246.

Note You need to log in before you can comment on or make changes to this bug.